API Cotizador (Quote)
Description¶
This API allows obtaining the approximate cost of a shipment. The calculation is affected by the following variables:
- Weight and dimensions of the package.
- Category of the product inside the package.
- Destination where the shipment must be delivered.
GET CATEGORIES¶
This endpoint provides the product categories accepted by GlobAllPack. To generate a quote, it is necessary to specify an item from this list, which will help calculate the charges for the import.
Response¶
Status 200 (OK)
[
{
"id": 2,
"nombre": "Accesorios para Celulares y Tablets"
},
{
"id": 3,
"nombre": "Alimentos permitidos"
},
{
"id": 4,
"nombre": "Artículos de ortopedia"
},
{
"id": 5,
"nombre": "Artículos para mascotas"
},
{
"id": 6,
"nombre": "Calzado"
},
{
"id": 7,
"nombre": "Celulares"
},
{
"id": 8,
"nombre": "Consolas de videojuegos"
},
{
"id": 9,
"nombre": "Decoración"
},
{
"id": 10,
"nombre": "Deportes y Camping"
},
{
"id": 11,
"nombre": "Electrónica, Tecnología e Informática"
},
{
"id": 12,
"nombre": "Herramientas y equipamiento"
},
{
"id": 13,
"nombre": "Hogar"
},
{
"id": 14,
"nombre": "Instrumentos musicales"
},
{
"id": 15,
"nombre": "Accesorios musicales"
},
{
"id": 16,
"nombre": "Joyería y bijouterie"
},
{
"id": 17,
"nombre": "Juguetes y coleccionables"
},
{
"id": 18,
"nombre": "Librería"
},
{
"id": 19,
"nombre": "Libros"
},
{
"id": 20,
"nombre": "Maquillaje y cosmética"
},
{
"id": 21,
"nombre": "Otros"
},
{
"id": 22,
"nombre": "Lentes y gafas de sol"
},
{
"id": 23,
"nombre": "Relojes y accesorios"
},
{
"id": 24,
"nombre": "Repuestos de vehículos"
},
{
"id": 25,
"nombre": "Vestimenta"
}
]
GET QUOTE¶
This endpoint allows obtaining an estimated cost of a shipment.
Query Params¶
| PARAMETER | DESCRIPTION |
|---|---|
| CpDestino | Destination postal code. |
| CiudadDestino | Destination city. |
| PaisDestino | Destination country (international code). |
| CpOrigen | Origin postal code. |
| CiudadOrigen | Origin city. |
| PaisOrigen | Origin country (international code). |
| Contrato | Contract for calculating last-mile shipping costs (national territory). |
| Cliente | Customer code for calculating last-mile shipping costs (national territory). |
| bultos[0].valorDeclarado | Unit price of the shipped product (Argentine pesos). |
| bultos[0].volumen | Package volume. |
| bultos[0].kilos | Package weight. |
| bultos[0].altoCm | Package height in centimeters. |
| bultos[0].largoCm | Package length in centimeters. |
| bultos[0].anchoCm | Package width in centimeters. |
| bultos[0].categoriaProducto | Name of the product category contained in the package. It must exist in the GET Categories response. |
Destination Address¶
The destination data (cpDestino, CiudadDestino) must match the normalized data by Andreani:
API: https://apis.andreani.com/v1/localidades (no authentication required)
Info and documentation: https://developers.andreani.com/en/document
Transport and distribution -> master data -> Locations
Response¶
Status 200 (OK)
{
"FleteAereo": 2332.125,
"Seguro": 310.95,
"TasaImportacion": 7084.99575,
"UltimaMilla": 7598.95,
"CostoDesaduanaje": 10365,
"pesoAforado": "1330.00",
"tarifaSinIva": {
"seguroDistribucion": "0.30",
"distribucion": "6279.82",
"total": "6280.12"
},
"tarifaConIva": {
"seguroDistribucion": "0.36",
"distribucion": "7598.58",
"total": "7598.95"
}
}
| FIELD | DESCRIPTION |
|---|---|
| FleteAereo | (Air Freight) It is the price paid to transport goods by air. |
| Seguro | Shipping insurance cost |
| CostoDesaduanaje | (Customs Clearance Cost) Process by which the entry of imported products into a country is regularized, complying with the established legal and customs requirements. This term is also known as "nationalization." |
| Tasa Importación | (Import Rate) Tax levied on products entering the country. |
| UltimaMilla | (Last Mile) Distribution cost in the destination country. |
-
TarifaSinIva y TarifaConIva are the detailed breakdown of the last-mile cost.
-
The sum of FleteAereo (Air Freight) + Seguro (Insurance) + TasaImportacion (Import Tax) + CostoDesaduanaje (Customs Clearance Cost) + UltimaMilla (Last Mile) results in the total fee.
Status 400 (BadRequest)
Occurs when some data is invalid.
[
{
"code": "400",
"property": "categoria",
"message": "La Categoria café no existe."
}
]